org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotOperationRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotOperationRequest

All Implemented Interfaces:
  Serializable

    public class SnapshotOperationRequest
    extends Object
    implements Serializable

Snapshot operation start request for `DistributedProcess` initiate message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnapshotOperationRequest(UUID reqId, UUID opNodeId, String snpName, String snpPath, @Nullable Collection<String> grps, Set<UUID> nodes, boolean incremental, int incIdx, boolean onlyPrimary, boolean dump, boolean compress, boolean encrypt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compress()`
`boolean` `dump()`
`boolean` `encrypt()`
`Throwable` `error()`
`void` `error(Throwable err)`
`@Nullable Collection<String>` `groups()`
`boolean` `incremental()`
`int` `incrementIndex()`
`SnapshotMetadata` `meta()`
`void` `meta(SnapshotMetadata meta)` Stores snapshot metadata.
`Set<UUID>` `nodes()`
`boolean` `onlyPrimary()`
`UUID` `operationalNodeId()`
`UUID` `requestId()`
`String` `snapshotName()`
`String` `snapshotPath()`
`protected boolean` `startStageEnded()`
`protected void` `startStageEnded(boolean startStageEnded)`
`long` `startTime()`
`boolean` `streamerWarning()` `True` If the streamer warning flag is set.
`boolean` `streamerWarning(boolean val)` Sets the streamer warning flag.
`String` `toString()`
`List<String>` `warnings()`
`void` `warnings(List<String> warnings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotOperationRequest

    public SnapshotOperationRequest(UUID reqId,
                                    UUID opNodeId,
                                    String snpName,
                                    String snpPath,
                                    @Nullable
                                    @Nullable Collection<String> grps,
                                    Set<UUID> nodes,
                                    boolean incremental,
                                    int incIdx,
                                    boolean onlyPrimary,
                                    boolean dump,
                                    boolean compress,
                                    boolean encrypt)

Parameters:
  `reqId` - Request ID.
  `opNodeId` - Operational node ID.
  `snpName` - Snapshot name.
  `snpPath` - Snapshot directory path.
  `grps` - List of cache group names.
  `nodes` - Baseline node IDs that must be alive to complete the operation.
  `incremental` - `True` if incremental snapshot requested.
  `incIdx` - Incremental snapshot index.
  `onlyPrimary` - If `true` snapshot only primary copies of partitions.
  `dump` - If `true` then create dump.
  `compress` - If `true` then compress partition files.
  `encrypt` - If `true` then content of dump encrypted.

### Method Detail

#### requestId

    public UUID requestId()

Returns:
  Request ID.

#### snapshotName

    public String snapshotName()

Returns:
  Snapshot name.

#### snapshotPath

    public String snapshotPath()

Returns:
  Snapshot directory path.

#### groups

    @Nullable
    public @Nullable Collection<String> groups()

Returns:
  List of cache group names.

#### nodes

    public Set<UUID> nodes()

Returns:
  Baseline node IDs that must be alive to complete the operation.

#### operationalNodeId

    public UUID operationalNodeId()

Returns:
  Operational node ID.

#### error

    public Throwable error()

Returns:
  Exception occurred during snapshot operation processing.

#### error

    public void error(Throwable err)

Parameters:
  `err` - Exception occurred during snapshot operation processing.

#### incremental

    public boolean incremental()

Returns:
  `True` if incremental snapshot requested.

#### incrementIndex

    public int incrementIndex()

Returns:
  Incremental index.

#### onlyPrimary

    public boolean onlyPrimary()

Returns:
  If `true` snapshot only primary copies of partitions.

#### dump

    public boolean dump()

Returns:
  If `true` then create dump.

#### compress

    public boolean compress()

Returns:
  If `true` then compress partition files.

#### encrypt

    public boolean encrypt()

Returns:
  If `true` then content of dump encrypted.

#### startTime

    public long startTime()

Returns:
  Start time.

#### startStageEnded

    protected boolean startStageEnded()

Returns:
  Flag indicating that the `DistributedProcess.DistributedProcessType.START_SNAPSHOT` phase has completed.

#### startStageEnded

    protected void startStageEnded(boolean startStageEnded)

Parameters:
  `startStageEnded` - Flag indicating that the `DistributedProcess.DistributedProcessType.START_SNAPSHOT` phase has completed.

#### warnings

    public List<String> warnings()

Returns:
  Warnings of snapshot operation.

#### warnings

    public void warnings(List<String> warnings)

Parameters:
  `warnings` - Warnings of snapshot operation.

#### streamerWarning

    public boolean streamerWarning()

`True` If the streamer warning flag is set. `False` otherwise.

#### streamerWarning

    public boolean streamerWarning(boolean val)

Sets the streamer warning flag.

#### meta

    public SnapshotMetadata meta()

Returns:
  Snapshot metadata.

#### meta

    public void meta(SnapshotMetadata meta)

Stores snapshot metadata.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023